Bug 1027037 - [abrt] WARNING: CPU: 1 PID: 156 at drivers/gpu/drm/i915/intel_display.c:8329 check_crtc_state+0x5af/0x9f0 [i915]()
[abrt] WARNING: CPU: 1 PID: 156 at drivers/gpu/drm/i915/intel_display.c:8329 ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6ac9c791dedad39a308757bf8ea...
:
: 1028785 1030557 1031235 1033861 1039230 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 18:56 EST by Larry
Modified: 2015-02-17 14:05 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:05:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (66.58 KB, text/plain)
2013-11-05 18:56 EST, Larry
no flags Details

  None (edit)
Description Larry 2013-11-05 18:56:38 EST
Additional info:
reporter:       libreport-2.1.9
WARNING: CPU: 1 PID: 156 at drivers/gpu/drm/i915/intel_display.c:8329 check_crtc_state+0x5af/0x9f0 [i915]()
pipe state doesn't match!
Modules linked in: i915(+) i2c_algo_bit drm_kms_helper drm i2c_core video ums_realtek usb_storage
CPU: 1 PID: 156 Comm: systemd-udevd Not tainted 3.11.6-201.fc19.x86_64 #1
Hardware name: TOSHIBA Satellite Pro L300/Portable PC, BIOS 2.20 12/09/2009
 0000000000000009 ffff880137a4f180 ffffffff8164770b ffff880137a4f1c8
 ffff880137a4f1b8 ffffffff8106715d ffff8801374f76d0 0000000000000001
 ffff880137939000 ffff8801374f7000 ffff880137939478 ffff880137a4f218
Call Trace:
 [<ffffffff8164770b>] dump_stack+0x45/0x56
 [<ffffffff8106715d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810671cc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa00d8dee>] ? intel_crt_get_flags+0x1e/0x40 [i915]
 [<ffffffffa00c9d4f>] check_crtc_state+0x5af/0x9f0 [i915]
 [<ffffffffa00d4f73>] intel_modeset_check_state+0x2c3/0x7a0 [i915]
 [<ffffffffa00d54c5>] intel_set_mode+0x25/0x30 [i915]
 [<ffffffffa00d5d12>] intel_crtc_set_config+0x742/0x920 [i915]
 [<ffffffffa0048a6d>] drm_mode_set_config_internal+0x5d/0xe0 [drm]
 [<ffffffffa0094641>] drm_fb_helper_set_par+0x71/0xf0 [drm_kms_helper]
 [<ffffffff81352854>] fbcon_init+0x504/0x580
 [<ffffffff813c414c>] visual_init+0xbc/0x120
 [<ffffffff813c6903>] do_bind_con_driver+0x163/0x330
 [<ffffffff813c70b4>] do_take_over_console+0x114/0x1c0
 [<ffffffff8134e0a3>] do_fbcon_takeover+0x63/0xd0
 [<ffffffff813533bd>] fbcon_event_notify+0x60d/0x720
 [<ffffffff8165222c>] notifier_call_chain+0x4c/0x70
 [<ffffffff8108df1d>] __blocking_notifier_call_chain+0x4d/0x70
 [<ffffffff8108df56>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff81344e0b>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff81346ddd>] register_framebuffer+0x1dd/0x310
 [<ffffffffa00942ef>] drm_fb_helper_initial_config+0x32f/0x500 [drm_kms_helper]
 [<ffffffffa004753f>] ? drm_mode_config_reset+0xcf/0xf0 [drm]
 [<ffffffffa009377e>] ? drm_fb_helper_init+0xfe/0x200 [drm_kms_helper]
 [<ffffffffa00f6801>] intel_fbdev_initial_config+0x21/0x30 [i915]
 [<ffffffffa00a5301>] i915_driver_load+0xdc1/0xdf0 [i915]
 [<ffffffffa0044536>] drm_get_pci_dev+0x166/0x280 [drm]
 [<ffffffffa00a071c>] i915_pci_probe+0x2c/0x70 [i915]
 [<ffffffff81329bbe>] local_pci_probe+0x3e/0x70
 [<ffffffff8132aea1>] pci_device_probe+0x121/0x130
 [<ffffffff813f1f37>] driver_probe_device+0x87/0x390
 [<ffffffff813f2313>] __driver_attach+0x93/0xa0
 [<ffffffff813f2280>] ? __device_attach+0x40/0x40
 [<ffffffff813efe73>] bus_for_each_dev+0x63/0xa0
 [<ffffffff813f198e>] driver_attach+0x1e/0x20
 [<ffffffff813f1528>] bus_add_driver+0x1e8/0x2a0
 [<ffffffffa0142000>] ? 0xffffffffa0141fff
 [<ffffffff813f2954>] driver_register+0x74/0x150
 [<ffffffffa0142000>] ? 0xffffffffa0141fff
 [<ffffffff81329a4b>] __pci_register_driver+0x4b/0x50
 [<ffffffffa004476a>] drm_pci_init+0x11a/0x130 [drm]
 [<ffffffffa0142000>] ? 0xffffffffa0141fff
 [<ffffffffa0142066>] i915_init+0x66/0x68 [i915]
 [<ffffffff810020fa>] do_one_initcall+0xfa/0x1b0
 [<ffffffff810524b3>] ? set_memory_nx+0x43/0x50
 [<ffffffff810cc60d>] load_module+0x1bbd/0x2660
 [<ffffffff810c8920>] ? store_uevent+0x40/0x40
 [<ffffffff810cd226>] SyS_finit_module+0x86/0xb0
 [<ffffffff81656919>] system_call_fastpath+0x16/0x1b
Comment 1 Larry 2013-11-05 18:56:52 EST
Created attachment 820090 [details]
File: dmesg
Comment 2 Ivan Cooper 2013-11-05 19:13:19 EST
Description of problem:
I did not notice this kernel oops until a few minutes later, so I am not exactly sure what may have triggered it. It may have occurred when I killed an instance of bochs-2.5.1 that was running in fullscreen mode. The system apparently continued to run normally.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.9
cmdline:        BOOT_IMAGE=/vmlinuz-3.11.6-200.fc19.x86_64 root=/dev/mapper/vg_luc-lv_mar_root ro LANG=en_US.UTF-8
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 808 at drivers/gpu/drm/i915/intel_display.c:8292 check_crtc_state+0x58f/0x9c0 [i915]()
pipe state doesn't match!
Modules linked in: vfat fat tcp_lp vhost_net vhost macvtap macvlan tun ums_realtek usb_storage xt_CHECKSUM nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack rfcomm bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw fuse coretemp kvm_intel kvm crc32_pclmul crc32c_intel snd_hda_codec_hdmi ghash_clmulni_intel snd_hda_codec_conexant iTCO_wdt iTCO_vendor_support arc4 microcode snd_hda_intel iwldvm joydev mac80211 snd_hda_codec serio_raw snd_hwdep snd_seq intel_ips snd_seq_device uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core qcserial snd_pcm usb_wwan videodev iwlwifi media btusb lpc_ich mfd_core i2c_i801 cfg80211 bluetooth e1000e snd_page_alloc shpchp snd_timer ptp mei_me thinkpad_acpi mei pps_core snd wmi soundcore rfkill tpm_tis tpm tpm_bios acpi_cpufreq mperf uinput i915 i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 1 PID: 808 Comm: Xorg Not tainted 3.11.6-200.fc19.x86_64 #1
Hardware name: LENOVO 3249CTO/3249CTO, BIOS 6QET69WW (1.39 ) 04/26/2012
 0000000000000009 ffff88021ac39898 ffffffff81647c7f ffff88021ac398e0
 ffff88021ac398d0 ffffffff8106715d ffff88022ddfe6d0 0000000000000001
 ffff88022d548800 ffff88022ddfe000 ffff88022d548c78 ffff88021ac39930
Call Trace:
 [<ffffffff81647c7f>] dump_stack+0x45/0x56
 [<ffffffff8106715d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810671cc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa00adc4f>] check_crtc_state+0x58f/0x9c0 [i915]
 [<ffffffffa00b8e93>] intel_modeset_check_state+0x2c3/0x7a0 [i915]
 [<ffffffffa00b93e5>] intel_set_mode+0x25/0x30 [i915]
 [<ffffffffa00b9c32>] intel_crtc_set_config+0x742/0x920 [i915]
 [<ffffffffa002ca6d>] drm_mode_set_config_internal+0x5d/0xe0 [drm]
 [<ffffffffa002f447>] drm_mode_setcrtc+0xf7/0x650 [drm]
 [<ffffffffa00aeaa2>] ? intel_crtc_load_lut+0xd2/0x170 [i915]
 [<ffffffffa0020142>] drm_ioctl+0x532/0x660 [drm]
 [<ffffffff811b9f6d>] do_vfs_ioctl+0x2dd/0x4b0
 [<ffffffff811ba1c1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81656e99>] system_call_fastpath+0x16/0x1b
Comment 3 Paul DeStefano 2014-01-11 01:46:37 EST
Can confirm on F20.  Tried to report with ABRT and it said this was the same bug.
Comment 4 Adam Jackson 2014-11-18 15:18:51 EST
*** Bug 1028785 has been marked as a duplicate of this bug. ***
Comment 5 Adam Jackson 2014-11-18 15:18:55 EST
*** Bug 1030557 has been marked as a duplicate of this bug. ***
Comment 6 Adam Jackson 2014-11-18 15:18:58 EST
*** Bug 1031235 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2014-11-18 15:19:02 EST
*** Bug 1033861 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2014-11-18 15:19:06 EST
*** Bug 1039230 has been marked as a duplicate of this bug. ***
Comment 9 Fedora End Of Life 2015-01-09 15:29:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 14:05:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.